<?php
global $config;
$lang->env = new stdclass();

$lang->env->common = '環境管理';
$lang->env->browse = '環境列表';
$lang->env->create = '添加環境';
$lang->env->edit   = '編輯環境';
$lang->env->delete = '刪除環境';
$lang->env->name   = '環境名稱';
$lang->env->code   = '環境代號';
$lang->env->system = '部署方式';
$lang->env->type   = '類別';
$lang->env->desc   = '環境描述';

$lang->env->codePlaceholder = '可以由字母、數字和下劃線組成';

$lang->env->systemList = array();
if($config->inQuickon) $lang->env->systemList['spug'] = '主機上線';
$lang->env->systemList['manual'] = '手動上線';

$lang->env->typeList = array();
$lang->env->typeList['dev']  = '開發環境';
$lang->env->typeList['test'] = '測試環境';
$lang->env->typeList['pre']  = '預發佈環境';
$lang->env->typeList['prod'] = '生產環境';

$lang->env->confirmDelete = '確定要刪除環境嗎？';

$lang->env->notice = new stdclass();
$lang->env->notice->name        = '環境名稱不能超過50個字元';
$lang->env->notice->code        = '只能輸入字母、數字和下劃線，不可重複';
$lang->env->notice->desc        = '環境描述不能超過255個字元';
$lang->env->notice->codeLength  = '環境代號長度不能超過50個字元';
$lang->env->notice->hasTemplate = '該環境已關聯上線模版，無法刪除';
$lang->env->notice->noSpug      = '內置Spug服務未啟動，不可操作';

$lang->env->apiError = new stdclass();
$lang->env->apiError->envCodeIsExist = '環境代號 %s 已存在，請更改後重試';

$lang->env->apiErrorList = array();
$lang->env->apiErrorList[] = '該環境已關聯了發佈配置，請刪除相關發佈配置後再嘗試刪除';

$lang->env->error = new stdclass();
$lang->env->error->envCodeIsExist = '環境代號 %s 已存在，請更改後重試';
